%define rname beryl
%define name %{rname}-plugins-unsupported
%define version 0.1.9999.2
%define release %mkrel 1

Name: %name
Version: %version
Release: %release
Summary: Various *UNSUPPORTED* plugins for the beryl window manager/compositor
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: beryl-core-devel = %{version}
BuildRequires: libsvg-cairo-devel
BuildRequires: librsvg-devel
BuildRequires: intltool

Requires: beryl-core

%description
*UNSUPPORTED* OpenGL composite manager plugins for Xgl and AIGLX.


%files -f %{rname}-plugins-extra.lang
%defattr(-,root,root)
%{_libdir}/%{rname}/*


%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{rname}-plugins-extra

%clean
rm -rf %{buildroot}


%changelog
* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.0
+ Revision: 120681
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes
- Remove some copy+paste Provides/Obsoletes not meant for here.

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116011
- Import beryl-plugins-unsupported

